EXTEND_BOTTOM oublek 9
	IF ~!Global("wl_oublek_active","GLOBAL",1)~ THEN REPLY ~Got any other jobs for me?~ GOTO wl_oublek1
	IF ~OR(13)
		Global("wl_oublek_gnolls","GLOBAL",3)
		Global("wl_oublek_bandits","GLOBAL",3)
		Global("wl_oublek_golems","GLOBAL",3)
		Global("wl_oublek_miners","GLOBAL",3)
		Global("wl_oublek_ankhegs","GLOBAL",3)
		Global("wl_oublek_undead","GLOBAL",3)
		Global("wl_oublek_thieves","GLOBAL",3)
		Global("wl_oublek_ogres","GLOBAL",3)
		Global("wl_oublek_portal","GLOBAL",3)
		Global("wl_oublek_swordcom","GLOBAL",3)
		Global("wl_oublek_escort","GLOBAL",3)
		Global("wl_oublek_bpimp","GLOBAL",3)~
//		Global("wl_oublek_bargain","GLOBAL",3)~
		THEN REPLY ~Took care of that job for you.~ GOTO wl_oublek_reward
	IF ~OR(5)
		Global("wl_oublek_portal","GLOBAL",99)
		Global("wl_oublek_swordcom","GLOBAL",99)
		Global("wl_oublek_escort","GLOBAL",99)
		Global("wl_oublek_bpimp","GLOBAL",99)~
//		Global("wl_oublek_bargain","GLOBAL",99)~
		THEN REPLY ~The job didn't go as planned...~ GOTO wl_oublek_fail
	END
	
EXTEND_BOTTOM oublek 10
	IF ~!Global("wl_oublek_active","GLOBAL",1)~ THEN REPLY ~Got any other jobs for me?~ GOTO wl_oublek1
	IF ~OR(13) 
		Global("wl_oublek_gnolls","GLOBAL",3)
		Global("wl_oublek_bandits","GLOBAL",3)
		Global("wl_oublek_golems","GLOBAL",3)
		Global("wl_oublek_miners","GLOBAL",3)
		Global("wl_oublek_ankhegs","GLOBAL",3)
		Global("wl_oublek_undead","GLOBAL",3)
		Global("wl_oublek_thieves","GLOBAL",3)
		Global("wl_oublek_ogres","GLOBAL",3)
		Global("wl_oublek_portal","GLOBAL",3)
		Global("wl_oublek_swordcom","GLOBAL",3)
		Global("wl_oublek_escort","GLOBAL",3)
		Global("wl_oublek_bpimp","GLOBAL",3)~
//		Global("wl_oublek_bargain","GLOBAL",3)~
		THEN REPLY ~Took care of that job for you.~ GOTO wl_oublek_reward
	IF ~OR(5)
		Global("wl_oublek_portal","GLOBAL",99)
		Global("wl_oublek_swordcom","GLOBAL",99)
		Global("wl_oublek_escort","GLOBAL",99)
		Global("wl_oublek_bpimp","GLOBAL",99)~
//		Global("wl_oublek_bargain","GLOBAL",99)~
		THEN REPLY ~The job didn't go as planned...~ GOTO wl_oublek_fail
	END

APPEND oublek
	IF ~~ THEN BEGIN wl_oublek1 SAY ~Of course, there's always trouble around here...~ 
		IF ~RandomNum(3,1)~ THEN GOTO wl_oublek1a
		IF ~RandomNum(3,2)~ THEN GOTO wl_oublek1b
		IF ~RandomNum(3,3)~ THEN GOTO wl_oublek1c
	END
	
	IF ~~ THEN BEGIN wl_oublek1a SAY ~Let's see here...~
		IF ~!Global("wl_oublek_gnolls","GLOBAL",10)~ THEN GOTO wl_oublek2
		IF ~!Global("wl_oublek_golems","GLOBAL",10)~ THEN GOTO wl_oublek4
		IF ~!Global("wl_oublek_ankhegs","GLOBAL",10)~ THEN GOTO wl_oublek6
		IF ~!Global("wl_oublek_thieves","GLOBAL",10)~ THEN GOTO wl_oublek8
		IF ~!Global("wl_oublek_portal","GLOBAL",10)~ THEN GOTO wl_oublek10
		IF ~Global("wl_oublek_gnolls","GLOBAL",10)
			Global("wl_oublek_golems","GLOBAL",10)
			Global("wl_oublek_ankhegs","GLOBAL",10)
			Global("wl_oublek_thieves","GLOBAL",10)
			Global("wl_oublek_portal","GLOBAL",10)~ 
			THEN GOTO wl_oublek_reset1
	END
	
	IF ~~ THEN BEGIN wl_oublek1b SAY ~Let's see here...~
		IF ~!Global("wl_oublek_bandits","GLOBAL",10)~ THEN GOTO wl_oublek3
		IF ~!Global("wl_oublek_miners","GLOBAL",10)~ THEN GOTO wl_oublek5
		IF ~!Global("wl_oublek_undead","GLOBAL",10)~ THEN GOTO wl_oublek7
		IF ~!Global("wl_oublek_ogres","GLOBAL",10)~ THEN GOTO wl_oublek9
		IF ~!Global("wl_oublek_swordcom","GLOBAL",10)~ THEN GOTO wl_oublek11
		IF ~Global("wl_oublek_bandits","GLOBAL",10)
			Global("wl_oublek_miners","GLOBAL",10)
			Global("wl_oublek_undead","GLOBAL",10)
			Global("wl_oublek_ogres","GLOBAL",10)
			Global("wl_oublek_swordcom","GLOBAL",10)~ 
			THEN GOTO wl_oublek_reset2
	END
	
	IF ~~ THEN BEGIN wl_oublek1c SAY ~Let's see here...~
		IF ~!Global("wl_oublek_escort","GLOBAL",10)~ THEN GOTO wl_oublek12
		IF ~!Global("wl_oublek_bpimp","GLOBAL",10)~ THEN GOTO wl_oublek13
//		IF ~!Global("wl_oublek_bargain","GLOBAL",10)~ THEN GOTO wl_oublek14
		IF ~Global("wl_oublek_escort","GLOBAL",10)
			Global("wl_oublek_bpimp","GLOBAL",10)~ THEN GOTO wl_oublek_reset3
//			Global("wl_oublek_bargain","GLOBAL",10)~ THEN GOTO wl_oublek_reset3
	END
	
	IF ~~ THEN BEGIN wl_oublek_reset1 SAY ~Hmph... I've got nothing... How very unusual! Well, try again later, I'm sure some fresh calamity will befall us soon.~
		IF ~~ THEN DO ~
			SetGlobal("wl_oublek_gnolls","GLOBAL",0)
			SetGlobal("wl_oublek_golems","GLOBAL",0)
			SetGlobal("wl_oublek_ankhegs","GLOBAL",0)
			SetGlobal("wl_oublek_thieves","GLOBAL",0)
			SetGlobal("wl_oublek_portal","GLOBAL",0)
		~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_reset2 SAY ~Hmph... I've got nothing... How very unusual! Well, try again later, I'm sure some fresh calamity will befall us soon.~
		IF ~~ THEN DO ~
			SetGlobal("wl_oublek_bandits","GLOBAL",0)
			SetGlobal("wl_oublek_miners","GLOBAL",0)
			SetGlobal("wl_oublek_undead","GLOBAL",0)
			SetGlobal("wl_oublek_ogres","GLOBAL",0)
			SetGlobal("wl_oublek_swordcom","GLOBAL",0)
		~EXIT
	END

	IF ~~ THEN BEGIN wl_oublek_reset3 SAY ~Hmph... I've got nothing... How very unusual! Well, try again later, I'm sure some fresh calamity will befall us soon.~
		IF ~~ THEN DO ~
			SetGlobal("wl_oublek_escort","GLOBAL",0)
			SetGlobal("wl_oublek_bpimp","GLOBAL",0)
//			SetGlobal("wl_oublek_bargain","GLOBAL",0)
		~EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek2 SAY ~A large raiding party of gnolls has been sighted heading out from the old fort in the west. Everyone in town will sleep better if the monsters were dealt with before they get any ideas about visiting the famous Nashkel carnival.~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_gnolls","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@2,QUEST)~ EXIT
	END
	IF ~~ THEN BEGIN wl_oublek3 SAY ~A large group of bandits have blockaded the road to Beregost, stopping all trade north. They need to be dispersed as soon as possible!~ 
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_bandits","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@4,QUEST)~ EXIT
	END
	IF ~~ THEN BEGIN wl_oublek4 SAY ~Some Cowled Wizard lost control of his golems again and now I've got a pair of those monstrosities rampaiging around the countryside to the south! Please get rid of them!~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_golems","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@6,QUEST)~ EXIT
	END

	IF ~~ THEN BEGIN wl_oublek5 SAY ~The miners are on strike! Can you believe this? A mining town where the miners refuse to work! This will not do! You need to go down to the mine and make those lazy layabouts pick up their pickaxes and get back to work!~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_miners","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@8,QUEST)~ EXIT
	END

	IF ~~ THEN BEGIN wl_oublek6 SAY ~Akhegs! It's an infestation! A plague! They're all over the farms, destroying the harvest! Please, you have to deal with them right now or we'll starve!~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_ankhegs","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@12,QUEST)~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek7 SAY ~The dead are rising! Some two-bit necromancer set up shop behind the temple and started waking the dead! Please put a stop to this before he gets to my mother-in-law!~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_undead","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@14,QUEST)~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek8 SAY ~The Shadow Thieves are trying to move into town. They've been harassing the businesses in the area, offering 'protection' and breaking items and limbs to make their pitch, but by the time the guards get there, they're gone. They must be dealt with before they entrench themselves here!~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_thieves","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@16,QUEST)~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek9 SAY ~A band of ogres have been spotted east of town! We can't have them this close, they eat PEOPLE! Please chase them away.~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_ogres","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@18,QUEST)~ EXIT
	END
	
	
	IF ~~ THEN BEGIN wl_oublek10 SAY ~One of the Cowled Wizards has arrived in town and instructed me to hire a group of adventurers for an important mission. He's staying at the inn, go see him for the details.~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_portal","GLOBAL",4) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@20,QUEST)~ EXIT
	END

	IF ~~ THEN BEGIN wl_oublek11 SAY ~We'll appoint a new guard captain in a tenday and it's custom to present a sword at the ceremony. Sadly, the old captain's... retirement was rather sudden and we have neither a suitable weapon nor the time to procure one from Athkatla. Luckily, Taerom of Beregost is a fine smith and can produce a piece on short notice. Please take this 2200gp to him, commission the sword and deliver it to the sergeant at the garrison.~
		IF ~~ THEN DO
				~GiveGoldForce(2200)
				SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_swordcom","GLOBAL",1)
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@25,QUEST)
				SetGlobal("wl_oublek_swordcom_bladeres","GLOBAL",0) //reset after effects of previous attempts (sorted in area script)
				SetGlobal("wl_oublek_swordcom_hiltres","GLOBAL",0) //reset after effects of previous attempts (sorted in area script)
				SetGlobal("wl_oublek_swordcom_pommelres","GLOBAL",0) //reset after effects of previous attempts (sorted in area script)
				SetGlobalTimer("wl_oublek_swordcom_failtimer","GLOBAL",TEN_DAYS)~ EXIT
	END

	IF ~~ THEN BEGIN wl_oublek12 SAY ~A noblewoman from Athkatla recently arrived in town. She is travelling to Baldur's Gate, but her hired guards were killed in a bandit ambush and she can't continue on her own. She's currently staying at the inn, please meet her there and escort her to Baldur's Gate.~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_escort","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@30,QUEST)~ EXIT
	END

	IF ~~ THEN BEGIN wl_oublek13 SAY ~Another group of adventurers we work with on occasion recently failed to perform their task, but still demanded payment. When I refused, they stole some very important documents and fled to Beregost. Please, you have to find them and bring those documents back!~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_bpimp","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@35,QUEST)
				SetGlobalTimer("wl_oublek_bpimp_failtimer","GLOBAL",TEN_DAYS)~ EXIT
	END

/*	IF ~~ THEN BEGIN wl_oublek14 SAY ~One of our most prominent citizens would like to hire you. He wouldn't share the details with me, so you'll need to discuss the specifics directly with him. Please meet him in the tavern and assist him in any way you can.~
		IF ~~ THEN DO
				~SetGlobal("wl_oublek_active","GLOBAL",1) 
				SetGlobal("wl_oublek_bargain","GLOBAL",1) 
				SetGlobal("wl_oublek_count","GLOBAL",0) 
				AddJournalEntry(@35,QUEST)
				SetGlobalTimer("wl_oublek_bargain_failtimer","GLOBAL",TEN_DAYS)~ EXIT
	END
*/	
	IF ~~ THEN BEGIN wl_oublek_reward SAY ~Oh joyous news! We'll all sleep better tonight. Here's your reward.~ 
		IF ~Global("wl_oublek_gnolls","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@2) 
			EraseJournalEntry(@3) 
			SetGlobal("wl_oublek_gnolls","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_bandits","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@4) 
			EraseJournalEntry(@5) 
			SetGlobal("wl_oublek_bandits","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_golems","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@6) 
			EraseJournalEntry(@7) 
			SetGlobal("wl_oublek_golems","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_miners","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@8) 
			EraseJournalEntry(@9) 
			EraseJournalEntry(@10)
			EraseJournalEntry(@11)
			SetGlobal("wl_oublek_miners","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			SetGlobal("wl_oublek_miners_example","GLOBAL",0)
			SetGlobal("wl_oublek_miners_disperse","GLOBAL",0)
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_ankhegs","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@12) 
			EraseJournalEntry(@13) 
			SetGlobal("wl_oublek_ankhegs","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_undead","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@14) 
			EraseJournalEntry(@15) 
			SetGlobal("wl_oublek_undead","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_thieves","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@16) 
			EraseJournalEntry(@17) 
			SetGlobal("wl_oublek_thieves","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_ogres","GLOBAL",3)~ THEN DO 
			~GiveGoldForce(500)
			EraseJournalEntry(@18) 
			EraseJournalEntry(@19) 
			SetGlobal("wl_oublek_ogres","GLOBAL",10) 
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)
			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_portal","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@20) 
			EraseJournalEntry(@21) 
			SetGlobal("wl_oublek_portal","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0)
			SetGlobal("wl_oublek_active","GLOBAL",0)
			SetGlobal("wl_oublek_portal_cleared","GLOBAL",0)
			SetGlobal("SPRITE_IS_DEADwlsbcw01","GLOBAL",0)
			SetGlobal("SPRITE_IS_DEADwlsbpt01","GLOBAL",0)
			SetGlobal("SPRITE_IS_DEADwlsbpt02","GLOBAL",0)
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_swordcom","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@25) 
			EraseJournalEntry(@26) 
			EraseJournalEntry(@27)
			EraseJournalEntry(@28)
			EraseJournalEntry(@29)
			SetGlobal("wl_oublek_swordcom","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_escort","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@30) 
			EraseJournalEntry(@31) 
			EraseJournalEntry(@32)
			SetGlobal("wl_oublek_escort","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
		IF ~Global("wl_oublek_bpimp","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@35) 
			EraseJournalEntry(@36) 
			EraseJournalEntry(@37)
			SetGlobal("wl_oublek_bpimp","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			TakePartyItem("wlsbms01")
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)~ EXIT
//			DisplayString(Player1,@9000)~ EXIT
/*		IF ~Global("wl_oublek_bargain","GLOBAL",3)~ THEN DO 
			~EraseJournalEntry(@35) 
			EraseJournalEntry(@36) 
			EraseJournalEntry(@37)
			SetGlobal("wl_oublek_bargain","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			GiveGoldForce(500)
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)
			DisplayString(Player1,@9000)~ EXIT */
	END
	
	IF ~~ THEN BEGIN wl_oublek_fail SAY ~That's very disappointing, I expected better from you.~
		IF ~Global("wl_oublek_portal","GLOBAL",99)~ THEN DO ~
			EraseJournalEntry(@20)
			EraseJournalEntry(@21)
			EraseJournalEntry(@22)
			EraseJournalEntry(@23)
			EraseJournalEntry(@24)
			SetGlobal("wl_oublek_portal","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",-5)~ EXIT
//			DisplayString(Player1,@9003)~ EXIT
		IF ~Global("wl_oublek_swordcom","GLOBAL",99)~ THEN DO ~
			EraseJournalEntry(@25)
			EraseJournalEntry(@26)
			EraseJournalEntry(@27)
			EraseJournalEntry(@28)
			EraseJournalEntry(@29)
			SetGlobal("wl_oublek_swordcom","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",-5)~ EXIT
//			DisplayString(Player1,@9003)~ EXIT
		IF ~Global("wl_oublek_escort","GLOBAL",99)~ THEN DO ~
			EraseJournalEntry(@30)
			EraseJournalEntry(@31)
			EraseJournalEntry(@32)
			EraseJournalEntry(@33)
			SetGlobal("wl_oublek_escort","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",-5)~ EXIT
//			DisplayString(Player1,@9003)~ EXIT
		IF ~Global("wl_oublek_bpimp","GLOBAL",99)~ THEN DO ~
			EraseJournalEntry(@35)
			EraseJournalEntry(@36)
			EraseJournalEntry(@37)
			EraseJournalEntry(@38)
			SetGlobal("wl_oublek_bpimp","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",-5)~ EXIT
//			DisplayString(Player1,@9003)~ EXIT
/*		IF ~Global("wl_oublek_bargain","GLOBAL",99)~ THEN DO ~
			EraseJournalEntry(@35)
			EraseJournalEntry(@36)
			EraseJournalEntry(@37)
			EraseJournalEntry(@38)
			SetGlobal("wl_oublek_bpimp","GLOBAL",10)
			SetGlobal("wl_oublek_count","GLOBAL",0) 
			SetGlobal("wl_oublek_active","GLOBAL",0) 
			IncrementGlobal("wl_reputation_nashkel","GLOBAL",-5)
			DisplayString(Player1,@9003)~ EXIT */
	END
END